---
title: ':-moz-locale-dir(ltr)'
slug: 'Web/CSS/:-moz-locale-dir(ltr)'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - Localization
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}{{gecko_minversion_header("1.9.2")}}</div>

<p>The <strong><code>:-moz-locale-dir(ltr)</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches an element if the user interface is being displayed left-to-right. This is determined by the preference <code>intl.uidirection.<em>locale</em></code> (where <code><em>locale</em></code> is the current locale) being set to "ltr".</p>

<div class="notecard note">
<p><strong>Note:</strong> This selector is mainly used by extensions and themes to adapt the user interface based on the user's locale. (This can vary from window to window, and even from tab to tab.) It also allows extensions to work even when they don't support the user's default locale, since they can support both left-to-right and right-to-left layouts regardless of locale specifics.</p>
</div>

<div class="notecard warning">
<p>This selector does not work properly from HTML; it always matches, regardless of whether the UI locale is left-to-right or right-to-left.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-locale-dir(ltr)</pre>

<h2 id="Examples">Examples</h2>

<p>This example doesn't work if you're not using Firefox, and may not work even in Firefox due to an issue with the selector not working propertly with HTML content. It was designed for use with <a href="/en-US/docs/Archive/Mozilla/XUL">XUL</a>.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;If you're using a left-to-right interface, this should be red.&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p:-moz-locale-dir(ltr) {
  color: red;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef(":dir", ":dir(…)")}}</li>
 <li>{{CSSxRef(":-moz-locale-dir(rtl)")}}</li>
</ul>
